Page MenuHomePhabricator

[TargetOption] Add option for enabling param entry val tracking dbg info
ClosedPublic

Authored by djtodoro on Apr 22 2019, 4:45 AM.

Diff Detail

Event Timeline

djtodoro created this revision.Apr 22 2019, 4:45 AM
dstenb added a subscriber: dstenb.Apr 29 2019, 8:11 AM

(A minor comment, which is not related to the code changes themselves, is that this should be a parent revision to D58033, and not vice-versa as it is now.)

@dstenb Thanks for the comment! It is done. :)

aprantl accepted this revision.May 7 2019, 9:43 AM
This revision is now accepted and ready to land.May 7 2019, 9:43 AM
aprantl added inline comments.May 7 2019, 9:44 AM
include/llvm/CodeGen/CommandFlags.inc
308

I guess it would be more consistent to call this EmitDebugEntryValues

djtodoro marked 2 inline comments as done.May 13 2019, 1:29 AM
djtodoro added inline comments.
include/llvm/CodeGen/CommandFlags.inc
308

That makes sense. Thanks!

djtodoro updated this revision to Diff 199212.May 13 2019, 1:30 AM
djtodoro marked an inline comment as done.

-Rename the option

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 26 2019, 1:36 AM